Robotsystem from Robot Group Leipzig: UniversalMotorComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# UniversalMotorComponent Class Reference

`#include <component.h>`

Inheritance diagram for UniversalMotorComponent:

[legend]
Collaboration diagram for UniversalMotorComponent:

[legend]
List of all members.

## Detailed Description

UniversalMotorComponent.

a motor wrapper.

must be attached to one of the 2 axis of a universal joint

Definition at line 313 of file component.h.

## Public Member Functions
| UniversalMotorComponent (dJointID _joint_id, char _axis)
void | set_angular_velocity (dReal angular_velocity)
dReal | get_angular_velocity () const
unsigned | expose_wires (WireContainer &out_r_wire_container)
void | draw () const
bool | collision_callback (OdeHandle *p_ode_handle, dGeomID geom_id_0, dGeomID geom_id_1) const
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
## Protected Attributes
char | axis
MotorWire | wire
bool | param_show_axis

## Constructor & Destructor Documentation

UniversalMotorComponent | ( | dJointID | _joint_id,
|  | char | _axis
| ) |

## Member Function Documentation

bool collision_callback | ( | OdeHandle * | p_ode_handle,
|  | dGeomID | geom_id_0,
|  | dGeomID | geom_id_1
| ) | const`[virtual]`

| Implements IComponent.

void draw | ( |  | ) | const`[virtual]`

| Implements IComponent.

unsigned expose_wires | ( | WireContainer & | out_r_wire_container | ) | `[virtual]`

| Reimplemented from AbstractComponent.

dReal get_angular_velocity | ( |  | ) | const`[virtual]`

| Implements AbstractMotorComponent.

virtual paramval getParam | ( | const paramkey & | key | ) | const`[virtual]`

| Reimplemented from AbstractComponent.

virtual paramlist getParamList | ( |  | ) | const`[virtual]`

| The list of all parameters with there value as allocated lists. Returns: list of key-value pairs Reimplemented from AbstractComponent.

void set_angular_velocity | ( | dReal | angular_velocity | ) | `[virtual]`

| Implements AbstractMotorComponent.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[virtual]`

| Reimplemented from AbstractComponent.

## Member Data Documentation

char axis`[protected]`

| Definition at line 315 of file component.h.

bool param_show_axis`[protected]`

| Definition at line 319 of file component.h.

MotorWire wire`[protected]`

| Definition at line 317 of file component.h.